| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros | Enumerations | Variables
filectrl.h File Reference

## Classes
class | wxFileCtrl
| This control allows the user to select a file. More...
class | wxFileCtrlEvent
| A file control event holds information about events associated with wxFileCtrl objects. More...

## Macros
#define | wxFC_DEFAULT_STYLE wxFC_OPEN

## Enumerations
enum | { wxFC_OPEN = 0x0001, wxFC_SAVE = 0x0002, wxFC_MULTIPLE = 0x0004, wxFC_NOSHOWHIDDEN = 0x0008 }

## Variables
wxEventType | wxEVT_FILECTRL_SELECTIONCHANGED
wxEventType | wxEVT_FILECTRL_FILEACTIVATED
wxEventType | wxEVT_FILECTRL_FOLDERCHANGED
wxEventType | wxEVT_FILECTRL_FILTERCHANGED

## Macro Definition Documentation

#define wxFC_DEFAULT_STYLE wxFC_OPEN

## Enumeration Type Documentation

anonymous enum

Enumerator:

  wxFC_OPEN |
  wxFC_SAVE |
  wxFC_MULTIPLE |
  wxFC_NOSHOWHIDDEN |

## Variable Documentation

wxEventType wxEVT_FILECTRL_FILEACTIVATED

wxEventType wxEVT_FILECTRL_FILTERCHANGED

wxEventType wxEVT_FILECTRL_FOLDERCHANGED

wxEventType wxEVT_FILECTRL_SELECTIONCHANGED